/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: types.idl,v $
 * $Revision: 1.5.14.1 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#include "com/sun/star/uno/Exception.idl"
#include "com/sun/star/uno/XInterface.idl"

enum Enum1 { M0, M1, M2 };

enum Enum2 { M0, M1, M2 };

struct Struct1 { long member; };

struct Struct2 { long member; };

struct Struct2a: Struct2 { long member2; };

struct Struct2b: Struct2a { long member3; };

struct Poly< T > { long member; };

struct Rec { sequence< Rec > x; };

exception Exception1: com::sun::star::uno::Exception { long member; };

exception Exception2: com::sun::star::uno::Exception { long member; };

exception Exception2a: Exception2 { long member2; };

exception Exception2b: Exception2a {};

interface Interface1 {};

interface Interface2 {};

interface Interface2a: Interface2 {};

interface Interface2b: Interface2a {};

interface Interface3 {};
